Package org.eclipse.gef.editparts

# Class AbstractEditPart.EditPolicyIterator

java.lang.Object
org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator

Enclosing class:
  `AbstractEditPart`

protected static class AbstractEditPart.EditPolicyIterator extends Object
Iterates over a `List` of EditPolcies, skipping any `null` values encountered.

## Constructor Summary

Constructors
Constructor
Description
`EditPolicyIterator(List<?> list)`
Deprecated, for removal: This API element is subject to removal in a future version.
this constructor should not be used.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
Returns `true` if there is a next edit policy.
`EditPolicy`
`next()`
Returns the next non-`null` EditPolicy.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EditPolicyIterator

@Deprecated(forRemoval=true, since="2026-03") public EditPolicyIterator(List<?> list)
Deprecated, for removal: This API element is subject to removal in a future version.
this constructor should not be used. This constructor will be removed after the 2028-03 release.
Constructs an Iterator for the given `List`.

Parameters:
  `list` - the list of policies.

## Method Details

### next

public EditPolicy next()
Returns the next non-`null` EditPolicy.

Returns:
  the next non-`null` EditPolicy.

### hasNext

public boolean hasNext()
Returns `true` if there is a next edit policy.

Returns:
  `true` if there is a next policy